#!/bin/sh
#
# source: ftp://ftp.opera.com/pub/opera/linux/1162/opera-11.61-1347.i386.linux.tar.xz

# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------Set Some Variables

soft='opera'
softversion='11.62'
packageversion='72.1'

arch='i386'

buildir=$(pwd)
srcpkg="$buildir/$soft-11.62-1347.i386.txz"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvf $soft-11.62-1347.i386.linux.tar.xz
rm -f $dest.txz
rm -rf $dest

#------------------Set correct permissions

cd $buildir/$soft-11.62-1347.i386.linux
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;

./install --prefix /usr --repackage $dest/usr

find $dest | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mv $dest/usr/share/man $dest/usr

#-----------------Make the slack-desc files

mkdir -p $dest/install
cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

     |-----handy-ruler---------------------------------------------------------|
opera: opera (is a lite, fast and full-featured Internet browser)
opera:
opera: Opera is a full-featured Internet tool, most notably a fully standard
opera: conforming Opera includes pop-up blocking, tabbed browsing, integrated
opera: earches, and advanced functions like a password manager, mouse gestures,
opera: native Scalable Vector Graphics (SVG) support, an email program, RSS
opera: newsfeeds, and IRC chat. It is designed to be fast and highly
opera: customizable.
opera:
opera:
opera:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5